/*
  a simple traffic light in automatic mode

  by noiasca
  2022-07-09 2496/232 
  2022-01-16 3178/267
  2021-12-04
*/

#include <Noiasca_led.h>               // download library from http://werner.rothschopf.net/microcontroller/202202_tools_led_en.htm
#include <utility/Noiasca_discrete.h>  // use the discrete pins on the Arduino/Microcontroller

TrafficlightPin trafficlight {13, 6, 5};         // GPIO red, GPIO yellow, GPIO green

void setup() {
  Serial.begin(115200);
  trafficlight.begin();      // you have to call the .begin() method for the traffic light
  trafficlight.red();        // you can switch each lamp on individually (by default the traffic light will start with yellow blinking)
  // you can specify the time for each sequence in milliseconds:
  //trafficlight.setSequenceIndex(0, TrafficlightPin::State::RED,        4000);
  //trafficlight.setSequenceIndex(1, TrafficlightPin::State::REDYELLOW,  3000);
  //trafficlight.setSequenceIndex(2, TrafficlightPin::State::GREEN,      2000);
}

void loop() {
  trafficlight.update();     // you have to call update() for the LED
}
