/*
  Rhythm LED
  
  by noiasca
  2022-01-17   1174/47
  2022-01-16   1148/48
  2021-12-14   1156/47
*/

#include <Noiasca_led.h>               // download library from http://werner.rothschopf.net/microcontroller/202202_tools_led_en.htm
#include <utility/Noiasca_discrete.h>  // use the discrete pins on the Arduino/Microcontroller
RhythmPin rhythmLed {13};              // declare LED and assign pin

void setup() {
  rhythmLed.begin();                   // you have to call the .begin() method for the LED
  //                    ON   OFF   ON   OFF
  rhythmLed.setInterval(100, 150, 100, 1500);
  rhythmLed.on();                      // you can switch the effect on
}

void loop() {
  rhythmLed.update();                  // you have to call update() for the LED
}
