/*
  Button Hello World

  read a button including debounce

  Remembers:
  by default the button is low active (The button closes to GND).
  The library will active the internal pullup resistor.
  You don't need external resistors.

  by noiasca
  2022-12-06 2054/192
  2022-02-18 2044/192
*/

#include <Noiasca_button.h>            // download library from http://werner.rothschopf.net/microcontroller/202202_tools_led_en.htm
          
Button buttonA {A0};                   // active LOW: button connects pin with GND

void setup() {
  Serial.begin(115200);
  buttonA.begin();                     // you have to call the .begin() method
}

void loop() {
  if (buttonA.wasPressed())            // fire if button was pressed
  {
    Serial.println(F("button A was pressed"));    // put here what ever you want to do when the button gets pressed
  }
}
